WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: WP Ajax Edit Comments] I have "Stack overflow at line: 2".

[Resolved] [Plugin: WP Ajax Edit Comments] I have "Stack overflow at line: 2".

  • o6asan
    Participant

    @o6asan

    Yesterday I installed Ajax Edit Comments v5.0.7.0. and it works.

    But when I click ‘edit button’, I have a message “Stack overflow at line: 2” from IE8. I also have a message “too much recursion” from FireFox 9.0.1.

    They say these errors are from jQuery v1.7.1. line if(c.call(a[g],g,a[g++])===!1).

    Is it no problem if I ignore this?

    http://wordpress.org/extend/plugins/wp-ajax-edit-comments/

Viewing 9 replies - 1 through 9 (of 9 total)
  • genesteinberg
    Member

    @genesteinberg

    As you see, it DOESN’T work. It doesn’t work for me in Edit mode either, though I don’t get that error message. I have complained to the current developers, but they remain tone deaf about the lingering problems.

    Besides, how can you say it works when it’s core function isn’t performing properly?

    Maybe a few more bad reviews will convey the message to them.

    Peace,
    Gene

    o6asan
    Participant

    @o6asan

    Hi, Gene,

    Besides, how can you say it works when it’s core function isn’t performing properly?

    Right!! But they are common bugs and I can use AEC features. So, I said it works.

    By the way, I will complain to them.

    Maybe a few more bad reviews will convey the message to them.

    I hope and wait.

    Thanks anyway.

    I’ve tested this plugin, too. And what I’ve to say… Firefox crashing by clicking on the Edit-Button. Sometimes, it work… mostly… it kills the browser.

    The plugin is nice but to buggy for productive usage. It needs bugfixes and speed optimizations.

    Li-An
    Participant

    @li-an

    Strange as I did not get any problem with testing the plugin.

    _Sascha_ – any chance you had firebug on while editing?

    To solve the “too much recursion error”

    I took the jquery-1.3.2.min.js that was bundled with the plugin in the js folder and renamed it jquery.js

    I then moved it to the wp-includes/js/jquery folder
    (made a backup of the jquery.js folder here first)

    and the issue was solved.

    It just seems the plugin has a small bug with the latest version of jquery

    This however seems to break some of the new dashboard feautures
    The Plugin creators are just going to have to get it to work with the later version of jquery

    Plugin Author Ronald Huereca
    Participant

    @ronalfy

    Version 5.0.13 should fix this issue.

    genesteinberg
    Member

    @genesteinberg

    Is it up or do you have a link for it?

    Peace,
    Gene

    genesteinberg
    Member

    @genesteinberg

    Never mind, I saw the Update notice. It appears to be properly functional at first brush, and I’ll continue to work with it this weekend.

    Thanks for resuming work on this plug-in, which is one of my indispensables.

    Peace,
    Gene

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Resolved] [Plugin: WP Ajax Edit Comments] I have "Stack overflow at line: 2".’ is closed to new replies.